Subject: [PATCH v2 00/42] ARM: at91: move to common clk framework

From: [email-masked] (boris brezillon)
Date: Mon, 29 Jul 2013 11:25:42 +0200

On 29/07/2013 10:00, Richard Genoud wrote:
> 2013/7/26 boris brezillon <[email-masked]>:
>> On 26/07/2013 17:44, boris brezillon wrote:
>> I found 2 bugs:
>> 1) the main frequency ready test in recalc_rate function is wrong
>> 2) the common clk framework uses the first match for dt clk registration
>>     and main clk has this compatible property:
>>     compatible = "atmel,at91rm9200-clk-main", "fixed-clock";
>>     As a result the main clk is always bound to the fixed-clock driver
>>     which set the clock frequency to 0 if 'clock-frequency' property is
>>     missing.
>>
>> These bugs will be fixed in next version.
>> Tell me if you want need thesse patches for testing purpose.
> Hi Boris,
>
> I tested your patch, the clock is not at 0 anymore:
> AT91: PIT: mck rate = 8333333
>
> And it's booting correctly.
> There's a small bug I found in the at91sam9x5 dtsi file (ssc id is 28,
> not 27). (patch attached)
>
> And yes, I could use your patches for some more tests !
>
> Thanks,
>
> Richard.
Hi Richard,

Thanks for the bug report.

You'll find in attachements the pre-v3 series fixing the detected bugs 
(including the ssc clock id bug).

If you need anything else please let me know.

Best Regards,

Boris
-------------- next part --------------
A non-text attachment was scrubbed...
Name: at91-clk-v3.tgz
Type: application/x-compressed-tar
Size: 61170 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20130729/5d4fdc8f/attachment-0001.bin>